<?php
/**
 * Fish Aquarium Shop: Customizer
 *
 * @subpackage Fish Aquarium Shop
 * @since 1.0
 */

use WPTRT\Customize\Section\Fish_Aquarium_Shop_Button;

add_action( 'customize_register', function( $manager ) {

	$manager->register_section_type( Fish_Aquarium_Shop_Button::class );

	$manager->add_section(
		new Fish_Aquarium_Shop_Button( $manager, 'fish_aquarium_shop_pro', [
			'title' => __( 'Fish Aquarium Shop Pro', 'fish-aquarium-shop' ),
			'priority' => 0,
			'button_text' => __( 'Go Pro', 'fish-aquarium-shop' ),
			'button_url'  => esc_url( 'https://www.luzuk.com/products/fish-aquarium-wordpress-theme/', 'fish-aquarium-shop')
		] )
	);

} );

// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'fish-aquarium-shop-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);

	wp_enqueue_style(
		'fish-aquarium-shop-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

function fish_aquarium_shop_customize_register( $wp_customize ) {

	$wp_customize->add_setting('fish_aquarium_shop_logo_size',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_logo_size',array(
		'type' => 'range',
		'description' => __('Logo Size (0-100%)','fish-aquarium-shop'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('fish_aquarium_shop_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('fish_aquarium_shop_logo_padding',array(
		'label' => __('Logo Margin','fish-aquarium-shop'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('fish_aquarium_shop_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','fish-aquarium-shop'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('fish_aquarium_shop_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','fish-aquarium-shop'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('fish_aquarium_shop_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','fish-aquarium-shop'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('fish_aquarium_shop_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
 	));
 	$wp_customize->add_control('fish_aquarium_shop_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','fish-aquarium-shop'),
		'section' => 'title_tagline',
    ));

	$wp_customize->add_setting('fish_aquarium_shop_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_checkbox'
	));
	$wp_customize->add_control('fish_aquarium_shop_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','fish-aquarium-shop'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('fish_aquarium_shop_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_checkbox'
	));
	$wp_customize->add_control('fish_aquarium_shop_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','fish-aquarium-shop'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_panel( 'fish_aquarium_shop_panel_id', array(
		'priority' => 10,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Settings', 'fish-aquarium-shop' ),
		'description' => __( 'Description of what this panel does.', 'fish-aquarium-shop' ),
	) );

	$wp_customize->add_section( 'fish_aquarium_shop_theme_options_section', array(
    	'title'      => __( 'General Settings', 'fish-aquarium-shop' ),
		'priority'   => 30,
		'panel' => 'fish_aquarium_shop_panel_id'
	) );

	$wp_customize->add_setting('fish_aquarium_shop_theme_options',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	$wp_customize->add_control('fish_aquarium_shop_theme_options',array(
		'type' => 'select',
		'label' => __('Blog Page Sidebar Layout','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','fish-aquarium-shop'),
		   'Right Sidebar' => __('Right Sidebar','fish-aquarium-shop'),
		   'One Column' => __('One Column','fish-aquarium-shop'),
		   'Grid Layout' => __('Grid Layout','fish-aquarium-shop')
		),
	));

	$wp_customize->add_setting('fish_aquarium_shop_single_post_sidebar',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	$wp_customize->add_control('fish_aquarium_shop_single_post_sidebar',array(
        'type' => 'select',
        'label' => __('Single Post Sidebar Layout','fish-aquarium-shop'),
        'section' => 'fish_aquarium_shop_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','fish-aquarium-shop'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium-shop'),
            'One Column' => __('One Column','fish-aquarium-shop')
        ),
	));

	$wp_customize->add_setting('fish_aquarium_shop_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	$wp_customize->add_control('fish_aquarium_shop_page_sidebar',array(
        'type' => 'select',
        'label' => __('Page Sidebar Layout','fish-aquarium-shop'),
        'section' => 'fish_aquarium_shop_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','fish-aquarium-shop'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium-shop'),
            'One Column' => __('One Column','fish-aquarium-shop')
        ),
	));

	$wp_customize->add_setting('fish_aquarium_shop_archive_page_sidebar',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	$wp_customize->add_control('fish_aquarium_shop_archive_page_sidebar',array(
        'type' => 'select',
        'label' => __('Archive & Search Page Sidebar Layout','fish-aquarium-shop'),
        'section' => 'fish_aquarium_shop_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','fish-aquarium-shop'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium-shop'),
            'One Column' => __('One Column','fish-aquarium-shop'),
            'Grid Layout' => __('Grid Layout','fish-aquarium-shop')
        ),
	));

	$wp_customize->add_setting( 'fish_aquarium_shop_boxfull_width', array(
		'default'           => '',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	
	$wp_customize->add_control( 'fish_aquarium_shop_boxfull_width', array(
		'label'    => __( 'Section Width', 'fish-aquarium-shop' ),
		'section'  => 'fish_aquarium_shop_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'fish-aquarium-shop'),
			'container-fluid' => __('Full Width', 'fish-aquarium-shop'),
			'none' => __('None', 'fish-aquarium-shop')
		),
	));

	$wp_customize->add_setting( 'fish_aquarium_shop_dropdown_anim', array(
		'default'           => 'None',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	$wp_customize->add_control( 'fish_aquarium_shop_dropdown_anim', array(
		'label'    => __( 'Menu Dropdown Animations', 'fish-aquarium-shop' ),
		'section'  => 'fish_aquarium_shop_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInUp'  => __('bounceInUp', 'fish-aquarium-shop'),
			'fadeInUp' => __('fadeInUp', 'fish-aquarium-shop'),
			'zoomIn'    => __('zoomIn', 'fish-aquarium-shop'),
			'None'    => __('None', 'fish-aquarium-shop')
		),
	));

	//Header
	$wp_customize->add_section( 'fish_aquarium_shop_topbar' , array(
    	'title'    => __( 'Topbar Section', 'fish-aquarium-shop' ),
		'priority' => null,
		'panel' => 'fish_aquarium_shop_panel_id'
	) );

	$wp_customize->add_setting('fish_aquarium_shop_phone_number',array(
    	'default' => '',
    	'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_phone_number'
	));
	$wp_customize->add_control('fish_aquarium_shop_phone_number',array(
	   	'type' => 'url',
	   	'label' => __('Add Phone Number','fish-aquarium-shop'),
	   	'section' => 'fish_aquarium_shop_topbar',
	));

	$wp_customize->add_setting('fish_aquarium_shop_facebook_url',array(
    	'default' => '',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fish_aquarium_shop_facebook_url',array(
	   	'type' => 'url',
	   	'label' => __('Add Facebook URL','fish-aquarium-shop'),
	   	'section' => 'fish_aquarium_shop_topbar',
	));

	$wp_customize->add_setting('fish_aquarium_shop_twitter_url',array(
    	'default' => '',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fish_aquarium_shop_twitter_url',array(
	   	'type' => 'url',
	   	'label' => __('Add Twitter URL','fish-aquarium-shop'),
	   	'section' => 'fish_aquarium_shop_topbar',
	));

	$wp_customize->add_setting('fish_aquarium_shop_instagram_url',array(
    	'default' => '',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fish_aquarium_shop_instagram_url',array(
	   	'type' => 'url',
	   	'label' => __('Add Instagram URL','fish-aquarium-shop'),
	   	'section' => 'fish_aquarium_shop_topbar',
	));

	$wp_customize->add_setting('fish_aquarium_shop_pinterest_url',array(
    	'default' => '',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fish_aquarium_shop_pinterest_url',array(
	   	'type' => 'url',
	   	'label' => __('Add Pinterest URL','fish-aquarium-shop'),
	   	'section' => 'fish_aquarium_shop_topbar',
	));

	//home page slider
	$wp_customize->add_section( 'fish_aquarium_shop_slider_section' , array(
    	'title'    => __( 'Slider Settings', 'fish-aquarium-shop' ),
		'priority' => null,
		'panel' => 'fish_aquarium_shop_panel_id'
	) );

	$wp_customize->add_setting('fish_aquarium_shop_slider_hide_show',array(
    	'default' => false,
    	'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_checkbox'
	));
	$wp_customize->add_control('fish_aquarium_shop_slider_hide_show',array(
	   	'type' => 'checkbox',
	   	'label' => __('Show / Hide Slider','fish-aquarium-shop'),
	   	'section' => 'fish_aquarium_shop_slider_section',
	));

	$wp_customize->add_setting( 'fish_aquarium_shop_slider_effect', array(
		'default'           => '',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices'
	));
	$wp_customize->add_control( 'fish_aquarium_shop_slider_effect', array(
		'label'    => __( 'Onload Transactions Effects', 'fish-aquarium-shop' ),
		'section'  => 'fish_aquarium_shop_slider_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInLeft'  => __('bounceInLeft', 'fish-aquarium-shop'),
			'bounceInRight' => __('bounceInRight', 'fish-aquarium-shop'),
			'bounceInUp'    => __('bounceInUp', 'fish-aquarium-shop'),
			'bounceInDown'    => __('bounceInDown', 'fish-aquarium-shop'),
			'zoomIn'  => __('zoomIn', 'fish-aquarium-shop'),
			'zoomOut' => __('zoomOut', 'fish-aquarium-shop'),
			'fadeInDown'    => __('fadeInDown', 'fish-aquarium-shop'),
			'fadeInUp'    => __('fadeInUp', 'fish-aquarium-shop'),
			'fadeInLeft'  => __('fadeInLeft', 'fish-aquarium-shop'),
			'fadeInRight' => __('fadeInRight', 'fish-aquarium-shop'),
			'flip-up'    => __('flip-up', 'fish-aquarium-shop'),
			'none'    => __('none', 'fish-aquarium-shop')
		),
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'fish_aquarium_shop_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'fish_aquarium_shop_sanitize_dropdown_pages'
		));
		$wp_customize->add_control( 'fish_aquarium_shop_slider' . $count, array(
			'label' => __('Select Slider Image Page', 'fish-aquarium-shop' ),
			'section' => 'fish_aquarium_shop_slider_section',
			'type' => 'dropdown-pages'
		));
	}

	$wp_customize->add_setting('fish_aquarium_shop_slider_excerpt_length',array(
		'default' => '20',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_slider_excerpt_length',array(
		'type' => 'number',
		'label' => __('Slider Excerpt Length','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_slider_section',
	));

	$wp_customize->add_setting('fish_aquarium_shop_slider_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_slider_font_size',array(
		'type' => 'number',
		'label' => __('Title Font Size','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_slider_section',
	));

	$wp_customize->add_setting('fish_aquarium_shop_slider_text_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_float'
	));
	$wp_customize->add_control('fish_aquarium_shop_slider_text_font_size',array(
		'type' => 'number',
		'label' => __('Text Font Size','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_slider_section',
	));

	$wp_customize->add_setting( 'fish_aquarium_shop_slider_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'fish_aquarium_shop_slider_color', array(
		'label' => 'Text Color',
		'section' => 'fish_aquarium_shop_slider_section',
	)));

	//About Section
	$wp_customize->add_section('fish_aquarium_shop_about_section',array(
		'title'	=> __('About Section','fish-aquarium-shop'),
		'description'=> __('<b>Note :</b> This section will appear below the slider.','fish-aquarium-shop'),
		'panel' => 'fish_aquarium_shop_panel_id',
	));

    $wp_customize->add_setting('fish_aquarium_shop_section_small_title',array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('fish_aquarium_shop_section_small_title',array(
		'label'	=> __('Section Small Title','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_about_section',
		'type' => 'text'
	));

    $wp_customize->add_setting('fish_aquarium_shop_section_title',array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('fish_aquarium_shop_section_title',array(
		'label'	=> __('Section Title','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_about_section',
		'type' => 'text'
	));

    $wp_customize->add_setting('fish_aquarium_shop_section_text',array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('fish_aquarium_shop_section_text',array(
		'label'	=> __('Section Text','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_about_section',
		'type' => 'text'
	));

	$wp_customize->add_setting('fish_aquarium_shop_about_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'fish_aquarium_shop_about_image',array(
        'label' => __('About Image','fish-aquarium-shop'),
        'section' => 'fish_aquarium_shop_about_section'
	)));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_pst[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_pst[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('fish_aquarium_shop_category_setting',array(
		'default' => 'select',
		'sanitize_callback' => 'fish_aquarium_shop_sanitize_choices',
	));
	$wp_customize->add_control('fish_aquarium_shop_category_setting',array(
		'type' => 'select',
		'choices' => $cat_pst,
		'label' => __('Select Category To Display Post','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_about_section',
	));

	$wp_customize->add_setting('fish_aquarium_shop_service_number',array(
		'default'	=> '2',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('fish_aquarium_shop_service_number',array(
		'label'	=> __('Number Of Posts To Show In A Category','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_about_section',
		'type'	  => 'number'
	));

	$fish_aquarium_shop_service_number = get_theme_mod('fish_aquarium_shop_service_number', 2);
	for ($i=1; $i <= $fish_aquarium_shop_service_number; $i++) { 
	   	$wp_customize->add_setting('fish_aquarium_shop_service_icon' . $i, array(
	      	'default' => 'fas fa-star',
	      	'sanitize_callback' => 'sanitize_text_field'
	   	));
	   	$wp_customize->add_control(new Fish_Aquarium_Shop_Fontawesome_Icon_Chooser($wp_customize, 'fish_aquarium_shop_service_icon' . $i, array(
	      	'section' => 'fish_aquarium_shop_about_section',
	      	'type' => 'icon',
	      	'label' => esc_html__('Service Icon ', 'fish-aquarium-shop') . $i
	  	)));
	}

	$wp_customize->add_setting( 'fish_aquarium_shop_service_icon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	   ));
	 $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'fish_aquarium_shop_service_icon_color', array(
		   'label' => 'Icon Color',
		'section' => 'fish_aquarium_shop_about_section',
	   )));

	   $wp_customize->add_setting( 'fish_aquarium_shop_service_text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	   ));
	 $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'fish_aquarium_shop_service_text_color', array(
		   'label' => 'Text Color',
		'section' => 'fish_aquarium_shop_about_section',
	   )));

	$wp_customize->add_setting('fish_aquarium_shop_contact_btn_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('fish_aquarium_shop_contact_btn_text',array(
        'label' => __('Add Button Text','fish-aquarium-shop'),
        'section' => 'fish_aquarium_shop_about_section'
	));

	$wp_customize->add_setting('fish_aquarium_shop_contact_btn_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control('fish_aquarium_shop_contact_btn_url',array(
        'label' => __('Add Button URL','fish-aquarium-shop'),
        'section' => 'fish_aquarium_shop_about_section'
	));

	//Footer
    $wp_customize->add_section( 'fish_aquarium_shop_footer', array(
    	'title'  => __( 'Footer Setting', 'fish-aquarium-shop' ),
		'priority' => null,
		'panel' => 'fish_aquarium_shop_panel_id'
	) );

	$wp_customize->add_setting('fish_aquarium_shop_show_back_totop',array(
       'default' => true,
       'sanitize_callback'	=> 'fish_aquarium_shop_sanitize_checkbox'
    ));
    $wp_customize->add_control('fish_aquarium_shop_show_back_totop',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Back to Top','fish-aquarium-shop'),
       'section' => 'fish_aquarium_shop_footer'
    ));

    $wp_customize->add_setting('fish_aquarium_shop_footer_copy',array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('fish_aquarium_shop_footer_copy',array(
		'label'	=> __('Copyright Text','fish-aquarium-shop'),
		'section' => 'fish_aquarium_shop_footer',
		'setting' => 'fish_aquarium_shop_footer_copy',
		'type' => 'text'
	));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'fish_aquarium_shop_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'fish_aquarium_shop_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'fish_aquarium_shop_customize_register' );

function fish_aquarium_shop_customize_partial_blogname() {
	bloginfo( 'name' );
}

function fish_aquarium_shop_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

if (class_exists('WP_Customize_Control')) {

   	class Fish_Aquarium_Shop_Fontawesome_Icon_Chooser extends WP_Customize_Control {

      	public $type = 'icon';

      	public function render_content() { ?>
	     	<label>
	            <span class="customize-control-title">
	               <?php echo esc_html($this->label); ?>
	            </span>

	            <?php if ($this->description) { ?>
	                <span class="description customize-control-description">
	                   <?php echo wp_kses_post($this->description); ?>
	                </span>
	            <?php } ?>

	            <div class="fish-aquarium-shop-selected-icon">
	                <i class="fa <?php echo esc_attr($this->value()); ?>"></i>
	                <span><i class="fa fa-angle-down"></i></span>
	            </div>

	            <ul class="fish-aquarium-shop-icon-list clearfix">
	                <?php
	                $fish_aquarium_shop_font_awesome_icon_array = fish_aquarium_shop_font_awesome_icon_array();
	                foreach ($fish_aquarium_shop_font_awesome_icon_array as $fish_aquarium_shop_font_awesome_icon) {
	                   $icon_class = $this->value() == $fish_aquarium_shop_font_awesome_icon ? 'icon-active' : '';
	                   echo '<li class=' . esc_attr($icon_class) . '><i class="' . esc_attr($fish_aquarium_shop_font_awesome_icon) . '"></i></li>';
	                }
	                ?>
	            </ul>
	            <input type="hidden" value="<?php $this->value(); ?>" <?php $this->link(); ?> />
	        </label>
	        <?php
      	}
  	}
}
function fish_aquarium_shop_customizer_script() {
   wp_enqueue_style( 'font-awesome-1', esc_url(get_template_directory_uri()).'/assets/css/fontawesome-all.css');
}
add_action( 'customize_controls_enqueue_scripts', 'fish_aquarium_shop_customizer_script' );